<?php

use app\models\Settings;

// Инициализация данных для генерации HTML
$id = 'popup/' . $notification->readId();
$html = $notification->html;
$type = $notification->genTypeToRussian();
$date = null;

// Поиск даты создания
foreach ($notification->jrnl as $jrnl) {
    if ($jrnl['action'] === 'create') {
        // Найдена дата создания

        // Инициализация часового пояса
        preg_match_all('/UTC([\+\-0-9:]*)/', $account->zone ?? Settings::searchActive()['timezone_default'] ?? 'UTC+3', $timezone);
        $timezone = $timezone[1][0];

        // Инициализация данных для генерации HTML
        $date = (new DateTime())->setTimestamp($jrnl['date'])->setTimezone(new DateTimeZone($timezone))->format('H:i d.m.Y');
    }
}

$title = <<<HTML
        <small class="mb-1 w-100 d-flex">
            <b class="mr-auto">$type</b>
            <b class="ml-auto">$date</b>
        </small>
HTML;

echo <<<HTML
    <div id="$id" class="col mt-3 py-2 px-3 notification rounded" onmouseleave="return notification_popup_delete(this);">
        $title
        $html
    </div>
HTML;
